IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/12
Addresses2^116
/64 networks2^52
- Network
2780::/12- First address
2780::- Last address
278f:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
- /64 networks (LANs)
- 4,503,599,627,370,496 (2^52)
- Full form
2780:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
8.7.2.ip6.arpa
Split into smaller subnets
2780::/12 makes 4,096 subnets of /24; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2780::/24 | 2780:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2780:100::/24 | 2780:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2780:200::/24 | 2780:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2780:300::/24 | 2780:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2780:400::/24 | 2780:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2780:500::/24 | 2780:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2780:600::/24 | 2780:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2780:700::/24 | 2780:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2780:800::/24 | 2780:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2780:900::/24 | 2780:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2780:a00::/24 | 2780:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2780:b00::/24 | 2780:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2780:c00::/24 | 2780:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2780:d00::/24 | 2780:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2780:e00::/24 | 2780:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2780:f00::/24 | 2780:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2780:1000::/24 | 2780:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2780:1100::/24 | 2780:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2780:1200::/24 | 2780:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2780:1300::/24 | 2780:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2780:1400::/24 | 2780:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2780:1500::/24 | 2780:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2780:1600::/24 | 2780:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2780:1700::/24 | 2780:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2780:1800::/24 | 2780:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2780:1900::/24 | 2780:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2780:1a00::/24 | 2780:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2780:1b00::/24 | 2780:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2780:1c00::/24 | 2780:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2780:1d00::/24 | 2780:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2780:1e00::/24 | 2780:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2780:1f00::/24 | 2780:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2780:2000::/24 | 2780:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2780:2100::/24 | 2780:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2780:2200::/24 | 2780:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2780:2300::/24 | 2780:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2780:2400::/24 | 2780:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2780:2500::/24 | 2780:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2780:2600::/24 | 2780:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2780:2700::/24 | 2780:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2780:2800::/24 | 2780:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2780:2900::/24 | 2780:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2780:2a00::/24 | 2780:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2780:2b00::/24 | 2780:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2780:2c00::/24 | 2780:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2780:2d00::/24 | 2780:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2780:2e00::/24 | 2780:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2780:2f00::/24 | 2780:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2780:3000::/24 | 2780:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2780:3100::/24 | 2780:31ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2780:3200::/24 | 2780:32ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2780:3300::/24 | 2780:33ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2780:3400::/24 | 2780:34ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2780:3500::/24 | 2780:35ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2780:3600::/24 | 2780:36ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2780:3700::/24 | 2780:37ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2780:3800::/24 | 2780:38ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2780:3900::/24 | 2780:39ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2780:3a00::/24 | 2780:3aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2780:3b00::/24 | 2780:3bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2780:3c00::/24 | 2780:3cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2780:3d00::/24 | 2780:3dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2780:3e00::/24 | 2780:3eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2780:3f00::/24 | 2780:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2780:4000::/24 | 2780:40ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2780:4100::/24 | 2780:41ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2780:4200::/24 | 2780:42ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2780:4300::/24 | 2780:43ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2780:4400::/24 | 2780:44ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2780:4500::/24 | 2780:45ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2780:4600::/24 | 2780:46ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2780:4700::/24 | 2780:47ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2780:4800::/24 | 2780:48ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2780:4900::/24 | 2780:49ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2780:4a00::/24 | 2780:4aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2780:4b00::/24 | 2780:4bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2780:4c00::/24 | 2780:4cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2780:4d00::/24 | 2780:4dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2780:4e00::/24 | 2780:4eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2780:4f00::/24 | 2780:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2780:5000::/24 | 2780:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2780:5100::/24 | 2780:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2780:5200::/24 | 2780:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2780:5300::/24 | 2780:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2780:5400::/24 | 2780:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2780:5500::/24 | 2780:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2780:5600::/24 | 2780:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2780:5700::/24 | 2780:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2780:5800::/24 | 2780:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2780:5900::/24 | 2780:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2780:5a00::/24 | 2780:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2780:5b00::/24 | 2780:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2780:5c00::/24 | 2780:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2780:5d00::/24 | 2780:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2780:5e00::/24 | 2780:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2780:5f00::/24 | 2780:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2780:6000::/24 | 2780:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2780:6100::/24 | 2780:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2780:6200::/24 | 2780:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2780:6300::/24 | 2780:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2780:6400::/24 | 2780:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2780:6500::/24 | 2780:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2780:6600::/24 | 2780:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2780:6700::/24 | 2780:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2780:6800::/24 | 2780:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2780:6900::/24 | 2780:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2780:6a00::/24 | 2780:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2780:6b00::/24 | 2780:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2780:6c00::/24 | 2780:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2780:6d00::/24 | 2780:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2780:6e00::/24 | 2780:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2780:6f00::/24 | 2780:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2780:7000::/24 | 2780:70ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2780:7100::/24 | 2780:71ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2780:7200::/24 | 2780:72ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2780:7300::/24 | 2780:73ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2780:7400::/24 | 2780:74ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2780:7500::/24 | 2780:75ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2780:7600::/24 | 2780:76ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2780:7700::/24 | 2780:77ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2780:7800::/24 | 2780:78ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2780:7900::/24 | 2780:79ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2780:7a00::/24 | 2780:7aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2780:7b00::/24 | 2780:7bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2780:7c00::/24 | 2780:7cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2780:7d00::/24 | 2780:7dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2780:7e00::/24 | 2780:7eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2780:7f00::/24 | 2780:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2780:8000::/24 | 2780:80ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2780:8100::/24 | 2780:81ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2780:8200::/24 | 2780:82ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2780:8300::/24 | 2780:83ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2780:8400::/24 | 2780:84ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2780:8500::/24 | 2780:85ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2780:8600::/24 | 2780:86ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2780:8700::/24 | 2780:87ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2780:8800::/24 | 2780:88ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2780:8900::/24 | 2780:89ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2780:8a00::/24 | 2780:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2780:8b00::/24 | 2780:8bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2780:8c00::/24 | 2780:8cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2780:8d00::/24 | 2780:8dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2780:8e00::/24 | 2780:8eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2780:8f00::/24 | 2780:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2780:9000::/24 | 2780:90ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2780:9100::/24 | 2780:91ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2780:9200::/24 | 2780:92ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2780:9300::/24 | 2780:93ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2780:9400::/24 | 2780:94ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2780:9500::/24 | 2780:95ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2780:9600::/24 | 2780:96ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2780:9700::/24 | 2780:97ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2780:9800::/24 | 2780:98ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2780:9900::/24 | 2780:99ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2780:9a00::/24 | 2780:9aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2780:9b00::/24 | 2780:9bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2780:9c00::/24 | 2780:9cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2780:9d00::/24 | 2780:9dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2780:9e00::/24 | 2780:9eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2780:9f00::/24 | 2780:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2780:a000::/24 | 2780:a0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2780:a100::/24 | 2780:a1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2780:a200::/24 | 2780:a2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2780:a300::/24 | 2780:a3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2780:a400::/24 | 2780:a4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2780:a500::/24 | 2780:a5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2780:a600::/24 | 2780:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2780:a700::/24 | 2780:a7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2780:a800::/24 | 2780:a8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2780:a900::/24 | 2780:a9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2780:aa00::/24 | 2780:aaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2780:ab00::/24 | 2780:abff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2780:ac00::/24 | 2780:acff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2780:ad00::/24 | 2780:adff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2780:ae00::/24 | 2780:aeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2780:af00::/24 | 2780:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2780:b000::/24 | 2780:b0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2780:b100::/24 | 2780:b1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2780:b200::/24 | 2780:b2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2780:b300::/24 | 2780:b3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2780:b400::/24 | 2780:b4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2780:b500::/24 | 2780:b5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2780:b600::/24 | 2780:b6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2780:b700::/24 | 2780:b7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2780:b800::/24 | 2780:b8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2780:b900::/24 | 2780:b9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2780:ba00::/24 | 2780:baff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2780:bb00::/24 | 2780:bbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2780:bc00::/24 | 2780:bcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2780:bd00::/24 | 2780:bdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2780:be00::/24 | 2780:beff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2780:bf00::/24 | 2780:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2780:c000::/24 | 2780:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2780:c100::/24 | 2780:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2780:c200::/24 | 2780:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2780:c300::/24 | 2780:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2780:c400::/24 | 2780:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2780:c500::/24 | 2780:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2780:c600::/24 | 2780:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2780:c700::/24 | 2780:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2780:c800::/24 | 2780:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2780:c900::/24 | 2780:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2780:ca00::/24 | 2780:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2780:cb00::/24 | 2780:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2780:cc00::/24 | 2780:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2780:cd00::/24 | 2780:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2780:ce00::/24 | 2780:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2780:cf00::/24 | 2780:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2780:d000::/24 | 2780:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2780:d100::/24 | 2780:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2780:d200::/24 | 2780:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2780:d300::/24 | 2780:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2780:d400::/24 | 2780:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2780:d500::/24 | 2780:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2780:d600::/24 | 2780:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2780:d700::/24 | 2780:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2780:d800::/24 | 2780:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2780:d900::/24 | 2780:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2780:da00::/24 | 2780:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2780:db00::/24 | 2780:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2780:dc00::/24 | 2780:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2780:dd00::/24 | 2780:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2780:de00::/24 | 2780:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2780:df00::/24 | 2780:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2780:e000::/24 | 2780:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2780:e100::/24 | 2780:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2780:e200::/24 | 2780:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2780:e300::/24 | 2780:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2780:e400::/24 | 2780:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2780:e500::/24 | 2780:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2780:e600::/24 | 2780:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2780:e700::/24 | 2780:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2780:e800::/24 | 2780:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2780:e900::/24 | 2780:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2780:ea00::/24 | 2780:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2780:eb00::/24 | 2780:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2780:ec00::/24 | 2780:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2780:ed00::/24 | 2780:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2780:ee00::/24 | 2780:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2780:ef00::/24 | 2780:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2780:f000::/24 | 2780:f0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2780:f100::/24 | 2780:f1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2780:f200::/24 | 2780:f2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2780:f300::/24 | 2780:f3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2780:f400::/24 | 2780:f4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2780:f500::/24 | 2780:f5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2780:f600::/24 | 2780:f6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2780:f700::/24 | 2780:f7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2780:f800::/24 | 2780:f8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2780:f900::/24 | 2780:f9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2780:fa00::/24 | 2780:faff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2780:fb00::/24 | 2780:fbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2780:fc00::/24 | 2780:fcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2780:fd00::/24 | 2780:fdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2780:fe00::/24 | 2780:feff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2780:ff00::/24 | 2780:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |